Get Stream Statistics
Return the details of restream statistics
curl -X GET "https://api.5centscdn.com/v2/streams/publish/1001/statistics" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/publish/1001/statistics"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/publish/1001/statistics", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/publish/1001/statistics", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/publish/1001/statistics')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
[
{
"platform": [
{
"id": 46674,
"time": 0,
"bitrate": "",
"fps": "",
"cpu": "",
"mem": "",
"log": "[http @ 0x5574d50fa780] HTTP error 503 Service Unavailable
http://fms-02-01-midgress.5centscdn.com:8080/testalthaf2/testpublish2/mpeg.2ts: Server returned 5XX Server Error reply
",
"node": false
}
],
"status": "Enabled",
"lastseen": 0
}
]
GET
/streams/publish/{streamid}/statisticsGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
platformarray
Restream platform configuration object.
statusstring
Current deployment or operational status of the stream.
lastseeninteger
Elapsed time since the stream was last detected as active.
Was this page helpful?